from typing import Annotated

from fastapi import Depends

from api.application.abstractions.uow import UnitOfWork
from api.application.usecase.create_user import CreateUser
from api.domain.user.repository import UserRepository


def provide_create_user(
    user_repository: Annotated[UserRepository, Depends()],
    uow: Annotated[UnitOfWork, Depends()],
) -> CreateUser:
    return CreateUser(uow=uow, user_repository=user_repository)
